package com.ruoyi.interfaces.mapper;

import com.ruoyi.interfaces.domain.Statistics;
import com.ruoyi.interfaces.domain.vo.StatisticsVo;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author LinQiLong
 * @date 2022/1/14 10:26
 */
@Repository
public interface StatisticsMapper {

    List<Statistics> getStatisticsData();

    List<Statistics> serviceByCnt();

    List<StatisticsVo> viewNumByCity();

    List<StatisticsVo> keywords();

    int getServiceTotal();

    int getViewNum();

    int getUserNum();

    int getDataSetDownloadNum();

    int getCnt();

    int getDataSetNum();

    int getDeptNum();

    int getCateNum();
}
